Bug 14879 - Remove C4::Dates from catalogue/detail.pl
Summary: Remove C4::Dates from catalogue/detail.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14870
  Show dependency treegraph
 
Reported: 2015-09-22 17:05 UTC by Marc Véron
Modified: 2016-06-21 21:39 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14879 - Remove C4::Dates from catalogue/detail.pl (2.39 KB, patch)
2015-09-22 17:10 UTC, Marc Véron
Details | Diff | Splinter Review
[Follow-up] Bug 14879 - Remove C4::Dates from catalogue/detail.pl (1.11 KB, patch)
2015-09-22 17:17 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14879 - Remove C4::Dates from catalogue/detail.pl (2.44 KB, patch)
2015-09-23 14:31 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 14879 - Remove C4::Dates from catalogue/detail.pl (1.14 KB, patch)
2015-09-23 14:31 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 14879 - Remove C4::Dates from catalogue/detail.pl (2.84 KB, patch)
2015-09-24 10:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14879: Move the date displays to the template (4.35 KB, patch)
2015-09-24 10:31 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2015-09-22 17:05:18 UTC
Patch to remove C4::Dates from catalogue/detail.pl
Comment 1 Marc Véron 2015-09-22 17:10:59 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-09-22 17:17:27 UTC Comment hidden (obsolete)
Comment 3 Josef Moravec 2015-09-23 14:31:43 UTC Comment hidden (obsolete)
Comment 4 Josef Moravec 2015-09-23 14:31:50 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2015-09-24 10:31:46 UTC
Created attachment 42836 [details] [review]
Bug 14879 - Remove C4::Dates from catalogue/detail.pl

This bug removes deprecated C4::Dates from catalogue/detail.pl

To test:
Apply patch
Go to Home > Catalog > Details for [some biblio with items and holdings]
Make sure that biblio and Holdings and Acquisition details display as appropriate

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Bug 14879 - Remove C4::Dates from catalogue/detail.pl

Remove forbidden patterns (tab) to pass QA tools

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2015-09-24 10:31:51 UTC
Created attachment 42837 [details] [review]
Bug 14879: Move the date displays to the template

There is no special need to format the date in the perl script.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Tomás Cohen Arazi 2015-09-25 14:57:50 UTC
Patches pushed to master.

Thanks Marc!